Name:     	libgal15
Version: 	0.15
Release:	1
Summary: The GNOME Application Library.
Group: System Environment/Libraries
Epoch:		1
Copyright:	GPL
BuildRoot:	/var/tmp/%{name}-%{version}-root
Docdir:         /usr/share/doc
URL:		http://www.helixcode.com/tech/
Source0:	gal-%{version}.tar.bz2

BuildRequires:	libxml-devel
BuildRequires:	libglade-devel >= 0.13
BuildRequires:	gnome-vfs-devel
BuildRequires:	gnome-print-devel >= 0.22
BuildRequires:	gtk+-devel >= 1.2.7

%description
A collection of GNOME widgets and utility functions.


%prep
%setup -q -n gal-%{version}

%build
%define __libtoolize /bin/true
cp /usr/share/libtool/config.{guess,sub} .
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/usr/share/etable/%{version}/glade/*
/usr/lib/libgal.so.*

%changelog
* Mon Nov  5 2001 Jeremy Katz <katzj@redhat.com>
- convert compat package to libgal15
- bz2 sources

* Fri Oct 19 2001 Matt Wilson <msw@redhat.com>
- convert compat package to libgal13

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- convert to compat package libgal7

* Tue Jul 24 2001 Alexander Larsson <alexl@redhat.com>
- Fix libgal-broken.patch to not link libgal.so to -lgal.

* Fri Jul 13 2001 Alexander Larsson <alexl@redhat.com>
- Add build requirements.

* Wed Jun 13 2001 Bill Nottingham <notting@redhat.com>
- fix .la buildroot dainbramage
- fix library dependency dainbramage

* Tue Jun 12 2001 Bill Nottingham <notting@redhat.com>
- gal-devel requires libgal7 (otherwise libgal.so symlink is dangling)
- fix gnomeprint requirement

* Fri Jun  8 2001 Jonathan Blandford <jrb@redhat.com>
- New version
- Upgrade library

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- de-helixify spec file
- fix vendor/distribution
